import lejos.nxt.*;
import java.util.ArrayList;

/**
 * A behavior that uses the build in speaker to play 
 * a simple melody every 10. second. 
 *  
 * @author  Ole Caprani
 * @version 23.08.08
 */
public class PlaySounds extends Behavior 
{	    
    public PlaySounds( String name, ArrayList behaviors)
    {
    	super(name, behaviors);
    }
    	
    public void run(){
    	
    	while (true)
    	{     		
    	    delay(10000);
    	    
    	    suppressLower();

            stop();
            drawString("s");
            Sound.beepSequence();
            delay(200);
            Sound.beepSequenceUp();
            drawString(" ");
	        
	    unsuppressLower();
    	}
    }   
}
