import java.util.ArrayList;

/**
 * A behavior that make a car drive around randomly.
 *  
 * @author  Ole Caprani
 * @version 23.08.08
 */
public class RandomDrive extends Behavior 
{
    public RandomDrive( String name, ArrayList behaviors)
    {
    	super(name, behaviors);
    }
    	
    public void run()
    {    	
    	while (true)
    	{    		
    	   drawString("f");
	   suppressLower();
    	   forward((int)(50+50*Math.random()),(int)(50+50*Math.random()));
	   unsuppressLower();
    	   delay((int)(1000+2000*Math.random()));
    	   drawString("s");
    	   stop();
    	   delay((int)(500+500*Math.random()));
    	}
    }
}
