import lejos.nxt.*;
import java.util.ArrayList;

public class SoundCar 
{
    public static void main(String [] args)
    {
	ArrayList behaviors = new ArrayList();

    	RandomDrive rd;
    	AvoidFront af;
    	PlaySounds ps;
	DriveTowardsLight dl;
    	
        LCD.drawString("Sound Car",0,0);
        LCD.refresh();
    	
    	rd = new RandomDrive("Drive", behaviors); behaviors.add(rd);
	dl = new DriveTowardsLight("Light ", behaviors); behaviors.add(dl);
	af = new AvoidFront("Avoid", behaviors); behaviors.add(af);
	ps = new PlaySounds("Play ", behaviors); behaviors.add(ps);

       	rd.start();
       	af.start();
    	ps.start();
	dl.start();

    	while (! Button.ESCAPE.isPressed())
    	{
    		rd.reportState();
    		af.reportState();
    		ps.reportState();
		dl.reportState();
    	}
    	
    	LCD.clear();
        LCD.drawString("Program stopped",0,0);
        LCD.refresh();

    }    
}
